Occasional temporary problem: no search results for any search terms
Closed, DeclinedPublic

Description

Author: rd232

Description:
According to a report at https://commons.wikimedia.org/wiki/Commons:Requests_for_comment/improving_search#Report_properly_when_search_don.27t_work, Commons search can occasionally fail completely (no search results for any search terms). Up to ten times per month, blackout durations of 25 minutes have been observed - but that's just one person reporting, so it's presumably much more common than that.

This is presumably caused by some kind of database/index update. If a temporary blackout cannot be avoided during such updates, the system should at least say what's going on.


Version: unspecified
Severity: normal
Whiteboard: aklapper-moreinfo
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=42423

bzimport added a subscriber: Unknown Object (MLST).
bzimport set Reference to bz35691.
bzimport created this task.Via LegacyApr 4 2012, 8:01 AM
bzimport added a comment.Via ConduitApr 4 2012, 8:20 AM

ForoaW wrote:

Today, I observed two blackouts, one lasted almost half an hour (7:54 WET), the other 5 minutes (9:37 WET).

Peachey88 added a comment.Via ConduitApr 4 2012, 8:25 AM

(In reply to comment #0)

This is presumably caused by some kind of database/index update. If a temporary
blackout cannot be avoided during such updates, the system should at least say
what's going on.

It's generally when one of the indexers go down (thus effecting whatever wikis it has indexes for), If that is the case MW won't really know the cause other than "something is wrong with one of the lucen boxes".

By which time naigos usually <del>spams</del><ins>alerts</ins> the -ops (formally -ops and -tech) channel on irc saying said box is broken and if a human is around that can, they will attempt to fix it

Peachey88 added a comment.Via ConduitApr 4 2012, 8:27 AM

Also new search boxes have been setup and in the progress of being tested[0] which should hopefully help this.

[0]. http://lists.wikimedia.org/pipermail/wikitech-l/2012-April/059654.html

bzimport added a comment.Via ConduitApr 4 2012, 8:41 AM

ForoaW wrote:

People lose trust in search engines if they fail and just return "no items found". There should be a clear failure message anyway.

bzimport added a comment.Via ConduitApr 4 2012, 12:21 PM

rd232 wrote:

(In reply to comment #3)

Also new search boxes have been setup and in the progress of being tested[0]
which should hopefully help this.

[0]. http://lists.wikimedia.org/pipermail/wikitech-l/2012-April/059654.html

Good, hopefully new hardware will help ensure failures don't happen as often. But nonetheless, when a failure happens, there should be *some* kind of error message (as helpful as possible; if it's not possible to be helpful, generic is better than nothing), and not just a silent failure.

bzimport added a comment.Via ConduitJul 25 2012, 8:02 AM

zedlightman wrote:

I suggest falling back to Google site search when the Wikimedia search engine is down. On the Commons an error message should show up with this Google site search link:
*http://www.google.com/#q=site:commons.wikimedia.org

I suggest leaving that link in the sidebar all the time. Titled "Google site search" or "Google search". At least a preference, if not by default.

Many people, myself included, mainly use the Firefox browser. Google does not allow the Google Toolbar on it. It did in the past, and I greatly miss its ease of use for doing site searches. None of the site-search addons for Firefox are as easy as the Google Toolbar.

So a link to Google site search in the sidebar would fill multiple needs on the Commons. It would be used a lot.

bzimport added a comment.Via ConduitOct 10 2012, 8:09 AM

ForoaW wrote:

No improvement the last year: just a unreliable service that doesn't even report a problem: just provides a random quantity of results depending on time and position of the moon.

bzimport added a comment.Via ConduitOct 10 2012, 8:01 PM

zedlightman wrote:

In English Wikipedia preferences there is this gadget: "Add a selector to the Wikipedia search page allowing the use of external search engines."

When this gadget is enabled it allows one to choose from a dropdown menu of various search engines at [[:en:Special:Search]].

It could easily be expanded to also have an option to do site searches:
*http://www.google.com/#q=site:commons.wikimedia.org

This would be especially useful during times when Wikimedia's search slows down or stops.

This is something that could be enabled by default in search preferences on all Wikimedia Projects:
*[[Special:Preferences#mw-prefsection-searchoptions]]

Aklapper added a comment.Via ConduitMay 16 2013, 3:59 PM

Rd232 / Foroa:
Bug 42423 received comments that this does not happen anymore thanks to bug 43544 (show an error message instead of silently dropping results), so could anybody please tell if this problem still happens, and if so provide an example (which server and search term) even if not reproducible?

Thanks (also for the patience)!

bzimport added a comment.Via ConduitMay 22 2013, 6:00 AM

ForoaW wrote:

It happens in bursts in the sense that is appears every now and then when the servers seem overloaded for some time, and then you can have several time-outs, even for the same search, which is exceptional; most of the time a second attempt returns the answer. This morning, I've got it 6 or 7 times.

This morning: I got 2 or 3 times an error with [http://commons.wikimedia.org/w/index.php?title=Special%3ASearch&profile=advanced&search=Indian+Muslims+-incategory%3A%22Indian_Muslims%22&fulltext=Search&ns0=1&ns14=1&redirs=1&profile=advanced this search]. It displays in red, just underneath the namespace tick boxes: "An error has occurred while searching: HTTP request timed out." In the source of the page, I could find nothing that might give more information, only:
<div class="error">An error has occurred while searching: HTTP request timed out.</div>

This message should be reformulated and invite the user to try again.

Aklapper added a comment.Via ConduitMay 29 2013, 12:49 PM

The latter (better debug info) is already covered in bug 43869.

This message should be reformulated and invite the user to try again.

That should be a separate bug report so it does not get lost.

Deskana added a comment.Via ConduitFeb 8 2014, 12:37 AM

This really shouldn't occur in CirrusSearch. Given that we're in the process of migrating from Lucene to CirrusSearch, I'm marking this bug as RESOLVED WONTFIX.

If the issue persists in CirrusSearch, please do file a new bug under MediaWiki extensions -> CirrusSearch.

Add Comment